Subject: Re: bug#7671: Presetting various *CLEANFILES variables

From: Behdad Esfahbod <[email-masked]>
Date: Sun, 19 Dec 2010 04:51:29 -0500

Hi Stefano,

Thanks for the prompt reply.

On 12/18/10 05:02, Stefano Lattarini wrote:

> Note that the *CLEANFILES variables cannot be used to remove directories,
> so, for your approach to be really useful in all cases (i.e. also be able
> to git-ignore generated directories easily), a similar set of *CLEANDIRS
> variables would be needed.

Good point.  I didn't think about that.

> And IMHO adding them would be a good idea regardless of your particular
> use case.

Agreed.

>> If instead automake was changed to always pre-initialize *CLEANFILES
>> variables, all snippets could just append to do variables and my git.mk
>> snippet would be more generic and much more simpler at the same time.
>> So I want to suggest that automake be changed to initialized *CLEANFILES
>> if the Makefile.am doesn't initialize them explicitly.
>>
> If the change you propose can be implemented without breaking backward
> compatibility (and I think it probably can), then I'm all in favor of it.
> 
> I'd like to hear Ralf's opinion on this before taking any further
> action, though.

Indeed.

Cheers,
behdad

>> In another note, if that change is made and my git.mk simplified to not have
>> tool-specific logic in it, it would be a great addition to automake itself.
>>
>> Cheers,
>> behdad
>>
> 
> Thanks,
>    Stefano
>